Add Director to Corporate Customer
curl --request POST \
--url https://waas-staging.embedly.ng/api/v1/corporate/customers/{customerId}/directors \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"firstName": "<string>",
"lastName": "<string>",
"middleName": "<string>",
"email": "<string>",
"phoneNumber": "<string>",
"dateOfBirth": "<string>",
"address": "<string>",
"bvn": "<string>",
"nin": "<string>",
"meterNumber": "<string>",
"discoCode": "<string>"
}
'import requests
url = "https://waas-staging.embedly.ng/api/v1/corporate/customers/{customerId}/directors"
payload = {
"firstName": "<string>",
"lastName": "<string>",
"middleName": "<string>",
"email": "<string>",
"phoneNumber": "<string>",
"dateOfBirth": "<string>",
"address": "<string>",
"bvn": "<string>",
"nin": "<string>",
"meterNumber": "<string>",
"discoCode": "<string>"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
firstName: '<string>',
lastName: '<string>',
middleName: '<string>',
email: '<string>',
phoneNumber: '<string>',
dateOfBirth: '<string>',
address: '<string>',
bvn: '<string>',
nin: '<string>',
meterNumber: '<string>',
discoCode: '<string>'
})
};
fetch('https://waas-staging.embedly.ng/api/v1/corporate/customers/{customerId}/directors', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": "00",
"success": true,
"message": "Created Successfully",
"data": null
}
Corporate
Add Director to Corporate Customer
This endpoint enables you to add directors to a corporate customer profile
POST
/
corporate
/
customers
/
{customerId}
/
directors
Add Director to Corporate Customer
Request Parameters
string
required
Thr unique identifier of the corporate customer to whom the director is to be
added. Example:
3fa85f64-5717-4562-b3fc-2c963f66afa6string
required
The first name of the individual. Example:
Johnstring
required
The last name of the individual. Example:
Doestring
The middle name of the individual. Example:
Michaelstring
required
The individual’s email address. Example:
john.doe@example.comstring
required
The individual’s phone number. Example:
08012345678string
required
The individual’s date of birth in
YYYY-MM-DD format. Example:
1980-01-01string
required
The residential address of the individual. Example:
12 Adeola Odeku Street, Victoria Island, Lagosstring
required
The Bank Verification Number (BVN) of the individual. Example:
12345678901string
required
The National Identification Number (NIN) of the individual. Example:
12345678901string
required
The individual’s electricity meter number, if applicable. Example:
1234567890string
required
Disco Code must be one of ABUJA, EKO, IKEJA, IBADAN, ENUGU, PH, JOS, KADUNA,
KANO, BH, PROTOGY, PHISBOND, ACCESSPOWER, YOLA, ABIA, ADAMAWA, AKWA IBOM,
ANAMBRA, BAUCHI, BAYELSA, BENUE, BORNO, CROSS RIVER, DELTA, EBONYI, EDO,
EKITI, GOMBE, IMO, JIGAWA, KATSINA, KEBBI, KOGI, KWARA, LAGOS, NASSARAWA,
NIGER, OGUN, ONDO, OSUN, OYO, PLATEAU, RIVERS, SOKOTO, TARABA, YOBE, ZAMFARA,
FCT
{
"code": "00",
"success": true,
"message": "Created Successfully",
"data": null
}
⌘I